# eric6.Plugins.PluginVcsGit

Module implementing the Git version control plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
gitCfgPluginObject
longDescription
name
packageName
pluginType
pluginTypename
pyqtApi
shortDescription
version

### Classes

VcsGitPlugin | Class implementing the Git version control plugin.

### Functions

clearPrivateData | Module function to clear the private data of the plug-in.
createConfigurationPage | Module function to create the configuration page.
displayString | Public function to get the display string.
exeDisplayData | Public method to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
getVcsSystemIndicator | Public function to get the indicators for this version control system.
prepareUninstall | Module function to prepare for an uninstallation.

## VcsGitPlugin

Class implementing the Git version control plugin.

### Derived from

QObject

### Class Attributes

GitDefaults

### Class Methods

getPreferences | Class method to retrieve the various settings.
setPreferences | Class method to store the various settings.

### Methods

VcsGitPlugin | Constructor
__loadTranslator | Private method to load the translation file.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getConfigPath | Public method to get the filename of the config file.
getProjectHelper | Public method to get a reference to the project helper object.
initToolbar | Public slot to initialize the VCS toolbar.
prepareUninstall | Public method to prepare for an uninstallation.
prepareUnload | Public method to prepare for an unload.

### Static Methods

None

#### VcsGitPlugin.getPreferences (class method)

getPreferences(key)

Class method to retrieve the various settings.

key
  the key of the value to get

Returns:
  the requested setting

#### VcsGitPlugin.setPreferences (class method)

setPreferences(key, value)

Class method to store the various settings.

key
  the key of the setting to be set
value
  the value to be set

#### VcsGitPlugin (Constructor)

VcsGitPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VcsGitPlugin.__loadTranslator

__loadTranslator()

Private method to load the translation file.

#### VcsGitPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VcsGitPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### VcsGitPlugin.getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Returns:
  filename of the config file (string)

#### VcsGitPlugin.getProjectHelper

getProjectHelper()

Public method to get a reference to the project helper object.

Returns:
  reference to the project helper object

#### VcsGitPlugin.initToolbar

initToolbar(ui, toolbarManager)

Public slot to initialize the VCS toolbar.

ui
  reference to the main window (UserInterface)
toolbarManager
  reference to a toolbar manager object (E5ToolBarManager)

#### VcsGitPlugin.prepareUninstall

prepareUninstall()

Public method to prepare for an uninstallation.

#### VcsGitPlugin.prepareUnload

prepareUnload()

Public method to prepare for an unload.

Up

## clearPrivateData

clearPrivateData()

Module function to clear the private data of the plug-in.

Up

## createConfigurationPage

createConfigurationPage(configDlg)

Module function to create the configuration page.

configDlg
  reference to the configuration dialog (QDialog)

Returns:
  reference to the configuration page

Up

## displayString

displayString()

Public function to get the display string.

Returns:
  display string (string)

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Returns:
  dictionary containing the data to query the presence of the executable

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Returns:
  dictionary with key "zzz_gitPage" containing the relevant data

Up

## getVcsSystemIndicator

getVcsSystemIndicator()

Public function to get the indicators for this version control system.

Returns:
  dictionary with indicator as key and a tuple with the vcs name (string) and vcs display string (string)

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up